﻿@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;



@Html.DevExpress().GridView(
    settings =>
    {
        settings.Name = "GV_DynamicQuery";
        settings.KeyFieldName = "PROCESS_NAME";
        settings.CallbackRouteValues = new { Controller = "DynamicQuery", Action = "GetAllQueryName" };
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.ControlStyle.Paddings.Padding = System.Web.UI.WebControls.Unit.Pixel(0);
        settings.ControlStyle.Border.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(0);
        settings.ControlStyle.BorderBottom.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(1);
         //DIGUNAKAN UNTUK PEMANGGILAN SEARCH DATA
        settings.ClientSideEvents.BeginCallback = "onBeginCallback_DynamicQuery";
        settings.ClientSideEvents.EndCallback = "OnEndCallback_DynamicQuery";

        settings.CommandColumn.Visible = false;
        settings.CommandColumn.Width = System.Web.UI.WebControls.Unit.Pixel(50);
        settings.CommandColumn.ShowSelectCheckbox = true;

        settings.SettingsEditing.Mode = GridViewEditingMode.Inline;

        settings.SettingsPager.Visible = true;
        settings.Settings.ShowFilterRowMenu = false;
        settings.Settings.ShowFilterRow = false;

        settings.SettingsPager.FirstPageButton.Visible = true;
        settings.SettingsPager.LastPageButton.Visible = true;
        settings.SettingsPager.ShowNumericButtons = true;
        settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
        settings.SettingsPager.PageSizeItemSettings.Visible = true;
        settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "15", "30", "50", "100" };
        settings.SettingsPager.PageSize = 15;
        settings.SettingsPager.PageSizeItemSettings.Caption = "View per page";

        settings.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.VerticalScrollableHeight = 420;
        settings.Columns.Add(
            column =>
            {
                column.FieldName = "NO";
                column.Caption = "No";
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.HeaderStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Top;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.Width = Unit.Pixel(60);
                
            });

        settings.Columns.Add(
            column =>
            {
                column.FieldName = "PROCESS_NAME";
                column.Caption = "Name";
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.HeaderStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Top;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.Width = Unit.Pixel(470);
                column.SetDataItemTemplateContent(container =>
                {
                    Html.DevExpress().HyperLink(hlSettings =>
                    {
                        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                        hlSettings.ControlStyle.Font.Underline = true;
                        hlSettings.NavigateUrl = "javascript:void(0)";
                        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnHyperLinkClick('{0}','{1}');}}",

                            Convert.ToString(DataBinder.Eval(container.DataItem, "PROCESS_NAME")),
                            Convert.ToString(DataBinder.Eval(container.DataItem, "CATEGORY"))
                      );


                        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
                        //hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
                    }).Render();
                });
            });
        settings.Columns.Add(
            column =>
            {
                column.FieldName = "CATEGORY_DESCRIPTION";
                column.Caption = "Categori";
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.HeaderStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Top;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.Width = Unit.Pixel(150);

            });
            //if(Html.Toyota().Page.User != null)
            //{
                
               
            settings.Columns.Add(
                column =>
                {
                    //column.FieldName = "";
                    column.Caption = "#";
                    column.CellStyle.Wrap = DefaultBoolean.True;
                    column.ColumnType = MVCxGridViewColumnType.TextBox;
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.Width = Unit.Pixel(70);
                    var RoleSpex=Session["RoleSpex"];
                    if (RoleSpex.ToString() == "R-SPEX-AD")
                    {
                        column.Visible = true; 
                    }
                    else
                    {
                        column.Visible = false; 
                    }
                    column.SetDataItemTemplateContent(container =>
                    {

                        Html.DevExpress().HyperLink(hlSettings =>
                        {
                            hlSettings.Name = string.Format("h_Edit_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                            hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnEdit('{0}');}}",
                              Convert.ToString(DataBinder.Eval(container.DataItem, "PROCESS_NAME"))
                            );
                            hlSettings.Properties.ImageUrl = "~/Content/Image/edit.jpeg";
                            hlSettings.Properties.ImageWidth = System.Web.UI.WebControls.Unit.Percentage(40);
                        }).Render();
                        
                        
                        Html.DevExpress().HyperLink(hlSettings =>
                        {
                            hlSettings.Name = string.Format("h_Delete_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                            hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ onDelete('{0}');}}",
                              Convert.ToString(DataBinder.Eval(container.DataItem, "PROCESS_NAME"))
                            );
                            hlSettings.Properties.ImageUrl = "~/Content/Image/delete.jpeg";
                            hlSettings.Properties.ImageWidth = System.Web.UI.WebControls.Unit.Percentage(45);
                        }).Render();
                        
                        
                    });
                });
          }).Bind(Model).GetHtml()

